#
# spec file for package arm-trusted-firmware-rpi3-bootstrap
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           arm-trusted-firmware-rpi3-bootstrap
Version:        0~20180322T235732~ce412dd
Release:        1.6
Summary:        EL2 bootstrap firmware for TF-A
# https://github.com/AntonioND/rpi3-arm-tf-bootstrap/issues/1
License:        BSD-3-Clause
Group:          System/Boot
Url:            https://github.com/AntonioND/rpi3-arm-tf-bootstrap
Source:         rpi3-arm-tf-bootstrap-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  aarch64

%description
Bootstraps that the Trusted Firmware-A needs to use as BL33 images
in order to boot the Linux kernel.

%prep
%setup -q -n rpi3-arm-tf-bootstrap-%{version}

%build
cd aarch64
export CROSS_COMPILE_AARCH64=
./build.sh

%install
export NO_BRP_STRIP_DEBUG=true
export NO_DEBUGINFO_STRIP_DEBUG=true
mkdir -p %{buildroot}%{_datadir}/%{name}
install -D -m 0644 aarch64/el2-bootstrap.bin %{buildroot}%{_datadir}/%{name}/el2-bootstrap.bin

%files
%defattr(-,root,root)
%doc readme.rst
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/el2-bootstrap.bin

%changelog
* Sun Jun  3 2018 afaerber@suse.de
- Initial
